Question about upgrading to 4.0 / DRBD

udo

Famous Member
Apr 22, 2009
5,935
185
93
Ahrensburg; Germany
Hello,

could someone tell me if I could upgrade my PM 3.4 Cluster with 3 nodes and 2 of them DRBD without any hassle?

thx

Hi,
no - your old DRBD isn't usable on pve4 and must recreated... and DRBD9 is marked as technology preview yet - see http://pve.proxmox.com/wiki/DRBD9

Do an test-installation before to see DRBD9 - it's quite different.

I'm do some test now to decide, how I can upgrade my drbd-nodes ( 8 nodes in three pve-cluster...).

Do somebody run DRBD9 productional?


Udo
 

macday

Member
Mar 10, 2010
408
0
16
Stuttgart / Germany
Sorry Udo,

you did many posts so I thought you could be member of the team :)

So I should compile the DRDB 8.4 module myself like I did earlier on Version 1.9. Then I also have to compile the right drbd-tools.

I could not believe to completly erase my DRBD-Store (6 TB) to do the update to 4.0.

Marco
 

udo

Famous Member
Apr 22, 2009
5,935
185
93
Ahrensburg; Germany
Sorry Udo,

you did many posts so I thought you could be member of the team :)

So I should compile the DRDB 8.4 module myself like I did earlier on Version 1.9. Then I also have to compile the right drbd-tools.

I could not believe to completly erase my DRBD-Store (6 TB) to do the update to 4.0.

Marco

Hi,
just found, that the old way should be still possible:
http://drbd.linbit.com/users-guide-9.0/s-upgrading-drbd.html
In this case the storage isn't define as drbd but as lvm like in pve2/3 days...


Udo
 

udo

Famous Member
Apr 22, 2009
5,935
185
93
Ahrensburg; Germany
Any news to this ?...I have 2 clusters 3.4 with drbd dual primary...could I upgrade sometime safely?
Hi,
I have just yesterday do the first test - migrate two drbd8 resources to drbd9 and it's works.
I have used r2 + r3 instead of r0 + r1 because drbd9 use r0 + r1 for drbdctrl/0 + 1.

And the metadata must write twice - first upgrade from 08 to 09 and after reboot the metadata could not readed and must be overwritten again...

And till now, both resources aren't autostarted... I must look what is brocken (perhaps the existing (and not synced) r0 +r1).
During upgrade the secondary must completly overwritten, because both sides are inconsistent and on side is declared to be the right one.

Must do further tests.


Udo
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!